libpam-alreadyloggedin_0.3-6_i386.deb


Advertisement

Description

libpam-alreadyloggedin - PAM module to skip password authentication for logged users

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libpam-alreadyloggedin
Package version: 0.3
Package release: 6
Package architecture: i386
Package type: deb
Installed size: 63 B
Download size: 11.88 KB
Official Mirror: ftp.br.debian.org
libpam-alreadloggedin is a PAM module which allows users to skip authentication if they are already logged in on another console. Note that this module trades a bit of security for users' convenience and thus should be used cautiously.

Alternatives

    Download

    Source package: libpam-alreadyloggedin

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpam-alreadyloggedin deb package:
      # sudo apt-get install libpam-alreadyloggedin

    Files

    • /lib/security/pam_alreadyloggedin.so
    • /usr/share/doc/libpam-alreadyloggedin/README.Debian
    • /usr/share/doc/libpam-alreadyloggedin/buildinfo_i386.gz
    • /usr/share/doc/libpam-alreadyloggedin/changelog.Debian.gz
    • /usr/share/doc/libpam-alreadyloggedin/changelog.gz
    • /usr/share/doc/libpam-alreadyloggedin/copyright
    • /usr/share/doc/libpam-alreadyloggedin/examples/login.sso
    • /usr/share/man/man8/pam_alreadyloggedin.8.gz

    Changelog

    2014-02-24 - Jakub Wilk <jwilk@debian.org> libpam-alreadyloggedin (0.3-6) unstable; urgency=low * Add “XS-Testsuite: autopkgtest” to debian/control. * Improve security warning for the DEP-8 test.

    2014-02-22 - Jakub Wilk <jwilk@debian.org> libpam-alreadyloggedin (0.3-5) unstable; urgency=low * Improve the package description. * Improve debian/rules: + Don't use dh_testdir; instead use target dependencies to ensure that debian/rules is run from the correct directory. + Don't assume that build(-arch) was run before binary(-arch). * Use dh-buildinfo: + Update debian/rules. + Add the package to Build-Depends. * Update patch descriptions. * Add patch (manpage-ref-font.diff) to use bold font for manpage references, as recommended by man-pages(7). * Force gzip compression for .debian.tar. * Compile with -D_FILE_OFFSET_BITS=64. * Compile without -DBUG_STAT_MISSING. * Update debian/copyright: + Update format URI. + Bump year range. + Fix formatting of the License field. * Bump standards version to 3.9.5 (no changes needed). * Add DEP-8 tests.

    2011-09-28 - Jakub Wilk <jwilk@debian.org> libpam-alreadyloggedin (0.3-4) unstable; urgency=low * Export CFLAGS and CPPFLAGS flags in debian/rules. * Patch upstream makefile to respect *FLAGS from environment. * Bumps standards version to 3.9.2 (no changes needed). * Use versioned format URI for the copyright file. * Rewrite debian/rules without using dh. + Reduce minimum required debhelper version to 7. * Remove Vcs-* fields.

    2011-02-04 - Jakub Wilk <jwilk@debian.org> libpam-alreadyloggedin (0.3-3) unstable; urgency=low * Bump standards version to 3.9.1 (no changes needed). * Add Vcs-* fields. * Update my e-mail address. * Update debian/copyright to the latest DEP-5 version. * Update years in debian/copyright. * Revamp debian/rules. + Bump build-dependency on debhelper to (>= 7.0.50) for overrides support. * Pass CFLAGS and LDFLAGS (get from dpkg-buildflags) to the makefile. + Build depend on dpkg-dev (>= 1.15.7). * Refresh patches. * Extract upstream changelog from the RPM spec file.

    2010-01-26 - Jakub Wilk <ubanus@users.sf.net> libpam-alreadyloggedin (0.3-2) unstable; urgency=low * Switch to source format 3.0 (quilt). * Bump standards version to 3.8.3, no changes needed. * Convert debian/copyright to the DEP-5 format. * Don't use MAXPATHLEN constant, as it's not available on Hurd. * Add security notes to package description and README.Debian (closes: #561448). Thanks to Frank Lin PIAT for raising his concerns. * Link using gcc rather than ld.

    2009-05-12 - Jakub Wilk <ubanus@users.sf.net> libpam-alreadyloggedin (0.3-1) unstable; urgency=low * Initial release (Closes: #520108). * Due to #524608, recommend login (>= 1:4.1.3.1-1).

    Advertisement
    Advertisement